### Phase 2 recipe configuration file

# List of tasks to perform
MASK		BOOL	TRUE		# Mask bad pixels
NONLIN		BOOL	TRUE		# Non-linearity correction
BIAS		BOOL	TRUE		# Bias subtraction
DARK		BOOL	TRUE		# Dark subtraction
OVERSCAN	BOOL	TRUE		# Overscan subtraction
FLAT		BOOL	TRUE		# Flat-field normalisation
FRINGE		BOOL	FALSE		# Fringe subtraction
SOURCE		BOOL	FALSE		# Source identification and photometry
ASTROM		BOOL	FALSE		# Astrometry


# Non-linearity correction
NONLIN.SOURCE		STR	CHIP.NAME	# How to determine the source
# @NONLIN.SOURCE	STR	0.0 1.001 0.001	# A polynomial
NONLIN.DATA		METADATA		# Source of non-linearity data
	ccd00		STR	nonlin00.dat	# A lookup table 
	@ccd01		F32	0.0 1.001 0.001	# A polynomial
END

# Overscan subtraction
OVERSCAN.MODE		STR	INDIVIDUAL	# NONE | INDIVIDUAL | ALL
OVERSCAN.FIT		STR	POLYNOMIAL	# NONE | POLYNOMIAL | SPLINE
OVERSCAN.BIN		S32	4		# Number of pixels per bin
OVERSCAN.STAT		STR	MEAN		# MEAN | MEDIAN
